{
	gSystem->Load("/home/dariak/Utilities/libAculData.so");

	AculCalibration cal;
	cal->SetInputParameters();


	TCanvas *c1 = new TCanvas();

	TFile fr("SQ22[]E.root");
//	TH1F *h1 = (TH1F*)fr.Get("HistSQ22[10]E");
//	h1->Draw();

	cout << fr.GetListOfKeys()->GetEntries() << " histograms" << endl;

	TList *histList = fr.GetListOfKeys();
	const Int_t noHist = histList->GetEntries();

	const Double_t minE = 3;
	const Double_t maxE = 8;
	Int_t minBin, maxBin;

	TH1 *hWork = 0;
	c1->Clear();
	c1->Divide(6, 6);
	for (Int_t i = 0; i < 32; i++) {
		fr.GetObject(histList->At(i)->GetName(), hWork);		
		c1->cd(i+1);
		cal->PeaksFitting(hWork);
		hWork->Draw();
	}

}
